Reply

Re: Unable to install or uninstall any apps

maroonwarrior71
Aspirant

Unable to install or uninstall any apps

This issue has been going on for quite a while now, through multiple OS updates. Currently running ReadyNAS OS 6.7.4.

I can't install or uninstall any new apps via the admin console. It seems to download them just fine, but when it's working through the actual installation process it tells me it's unable to install or uninstall the package.

Mainly, I'm trying to update Plex. Even downloading from the Plex website and uploading via admin console, it says it can't install the package. I've tried restarting, I've tried waiting for the next OS upgrade... nothing. 

 

I've already backed up my database files with WInSCP (backed up my couchpotato settings as well, as that's been inoperable for a while) and if all else fails I'll manually install via command line... but I'd REALLY like to fix it the right way.

Model: RN104|ReadyNAS 100 Series
Message 1 of 21
StephenB
Guru

Re: Unable to install or uninstall any apps

What browser are you using?

Message 2 of 21
maroonwarrior71
Aspirant

Re: Unable to install or uninstall any apps

using the latest version of Chrome, but I've tried using Edge and IE as well. same result. 

Message 3 of 21
StephenB
Guru

Re: Unable to install or uninstall any apps


@maroonwarrior71 wrote:

using the latest version of Chrome, but I've tried using Edge and IE as well. same result. 


I asked because there was an issue with some browsers, where the source path of the upload was being sent through the APIs - which caused a failure, since the destination path on the linux system is what was needed.

 

That's not an issue with Chrome though - I uploaded plex earlier this week, and it installed with no problem.

 

I'm not seeing any recent threads from other users - there were certainly issues last October and November, but not much since.

Message 4 of 21
maroonwarrior71
Aspirant

Re: Unable to install or uninstall any apps

right, I didn't see any threads either. Like I said though, this has been an issue for me since plex v.1.33.x.

Message 5 of 21
StephenB
Guru

Re: Unable to install or uninstall any apps


@maroonwarrior71 wrote:

right, I didn't see any threads either. Like I said though, this has been an issue for me since plex v.1.33.x.


I've forwarded to some Netgear folks, hopefully they will be able to help.

Message 6 of 21
forseyr
Aspirant

Re: Unable to install or uninstall any apps

Model: ReadyNAS 316

Firmware: 6.7.5

 

 

I have been having similar problems installing apps, including updating PLEX.

 

To simplyify testing of the Apps install problems, I tried installing bindr6.

 

The following dialogue appears when I try and install bindr6.

 

Apps operation failed

Application list might be missing or obsolete.

Do you want to update the list now?

 

If I click Yes, the wirrlygig runs and the Admin  UI freezes. The only way out is to restart the admin session with the ReadyNAS.

 

In Syslog I found multiple entries as follows:

 

Cannot open /var/lib/apt/lists/apt.readynas.com [More Information] _packages_readynasos_dists_6.7.5_apps_binary-amd64_Packages

 

There is nothing wrong with my Internet acces and I was able to resolve the address of apt.readynas.com. in NSLOOKUP.

 

Going through the logs on my attempt to update PLEX, I found installation errors like:

 

 

Failed to start Debian Package List Updater.

  apt-update.service: Failed with result 'timeout'.

 

I have used RAIDar to download the logs.

 

 

Model: RN31663E|ReadyNAS 316 6-Bay
Message 7 of 21
ohiomedic
Aspirant

Re: Unable to install or uninstall any apps

Just upgraded my readynas 314 to firmware 6.7.5. I'm now unable to install any apps, or update them. SABNZB fails to update or uninstall and SMB+ won't update.

Message 8 of 21
dsm1212
Apprentice

Re: Unable to install or uninstall any apps

If you have an apt-get dependency problem after the update, it seems the app installer won't proceed with some installs. It's not surprising because you wouldn't not want to force an update which is not consistent. For plex if you installed vim on an earlier version that seems to be the cause because it has a dependency which doesn't automatically resolve. I say seems to be because I did encounter this but it still took some random effort to get past the problem and I don't konw what finally cleared it. See https://community.netgear.com/t5/Using-your-ReadyNAS/Plex-Broken-after-upgrade-to-6-7-3/m-p/1290476#....

 

More generally, when an install fails, if you can find the apps .deb file (sometimes left behind in /tmp), then from ssh you can try to install it using dpkg/apt-get. Apt-get will tell you about the dependency problem. Fix that then go back to the web and try the install again. If you never used ssh, then probably work with netgear support instead :-).

Message 9 of 21
ohiomedic
Aspirant

Re: Unable to install or uninstall any apps

Thanks for the help. It took me awhile to track it down Sabnzbd was in a ‘purge reinstreq half-installed’ state.

Message 10 of 21
JediVision
Aspirant

Re: Unable to install or uninstall any apps

ISSUES:  

Unable to uninstall LogAnalyzer

Unable to browse follders in Admin Page

 

BACKGROUND:

Running Firmware 6.7.5 on a ReadyNAS 102. running RAID 1

MySQL Server 1.0.1 instaled but inactive

 

A day or so after upgrading to 6.7.5, I attempted an installation of LogAnalyzer 1.0.5 .

After installation the following error message now appears

    "Share: Share rsyslog creation failed."

 

LogAnalyzer shows up on the installed app list.

Given the error, I attempted to uninstal LogAnalyzer but receive the following error:

    "System: Cannot uninstall application LogAnalyzer."

 

QUESTION(S):

How can I remove LogAnalyzer?

 

How can I restore browsing from the Admin page?

 

Thanks in advance!

 

Model: RN102|ReadyNAS 100 Series
Message 11 of 21
JediVision
Aspirant

Re: Unable to install or uninstall any apps

As an update on my earlier post, I performed a system backup and then a Factory Default. 

Model: RN102|ReadyNAS 100 Series
Message 12 of 21
Marty_M
NETGEAR Employee Retired

Re: Unable to install or uninstall any apps

@JediVision,

 

Did factory defaulting the NAS address the concern?
 
Regards,
Marty_M 
NETGEAR Community Team

Message 13 of 21
forseyr
Aspirant

Re: Unable to install or uninstall any apps

The following is a detailed report on my attempts to fix my ReadyNAS package install/remove problems.

 

Report Summary

The root cause of my package installation problem was the result of running out of disk space when installing a PLEX update. It had nothing to do with the OS upgrade.

 

The failed PLEX installation left the Debenian Pakage Manage with a failed installation state. There is no interface from the ReadyNAS admin interface that can trigger the cleanup of the failed installation.

 

If you attempt to install another package, the logs indicated that the package was installed. However, the Debian Package Manager processes all of the outstanding package states, including the failed PLEX package. This returns a failure status that triggers the backout of the current package install.

 

This overall failue status is returned to the ReadyNAS with no indication of why the package installation failed.

 

I recommend that the ReadyNAS test the Debian package status before attempting to install a new package and report more information status back to the user. Also, the /var/log/apt/term.log and /var/log/dpkg.log should be included in the logs returned by NETGEAR RAIDer.

 

This woud help in resolving package installation problems. Note that NETGEAR  RAIDer logs include /var/log/readynasd/install_debpkg.log

 

 There appears to be a problem with the rslog-mysql install/uninstall script. The suspects are the update to the rsyslog configuration file or the relocation of the MySQL databases to the data volume by support.

 

 

Report Details

 

 

 

Fault history from install_debpkg.log

....
START(/tmp/plexmediaserver-ros6-binaries_1.4.3.3433-03e4cfa35_amd64.deb): Thu Mar 16 22:05:46 EST 2017
.....
DONE(0): Fri Mar 17 00:37:52 EST 2017
spooler returns spool_status=0 outbuf=(null) errbuf=(null) is_localapp=1 name=plexmediaserver-ros6-binaries_1.4.3.3433-03e4cfa35_amd64.deb pkgname=plexmediaserver-ros6-binaries

START(/tmp/plexmediaserver-ros6-binaries_1.4.4.3495-edef59192_amd64.deb): Sun Mar 19 15:19:01 EST 2017
Hit http://security.debian.org jessie/updates InRelease
Hit http://egnyte-cdn.egnyte.com 6.6 InRelease
Ign http://mirrors.kernel.org jessie InRelease
Hit http://apt.readynas.com 6.6.1 InRelease
Hit http://mirrors.kernel.org jessie Release.gpg
Hit http://security.debian.org jessie/updates/main amd64 Packages
Hit http://mirrors.kernel.org jessie Release
Hit http://egnyte-cdn.egnyte.com 6.6/egnyte amd64 Packages
Hit http://apt.readynas.com 6.6.1/updates amd64 Packages
Hit http://mirrors.kernel.org jessie/main amd64 Packages
Hit http://apt.readynas.com 6.6.1/apps amd64 Packages
Hit http://apt.readynas.com 6.6.1/main amd64 Packages
Reading package lists...
 new debian package, version 2.0.
 size 102975454 bytes: control archive=72725 bytes.
     582 bytes,    14 lines      control              
  342540 bytes,  2481 lines      md5sums              
    2858 bytes,    73 lines   *  postinst             #!/bin/sh
     132 bytes,     7 lines   *  postrm               #!/bin/sh
    1175 bytes,    42 lines   *  prerm                #!/bin/sh
    2854 bytes,    58 lines      shlibs               
 Package: plexmediaserver-ros6-binaries
 Source: plexmediaserver-ros6
 Version: 1.4.4.3495-edef59192
 Architecture: amd64
 Maintainer: Plex, inc. <linux@plexapp.com>
 Installed-Size: 213964
 Conflicts: plexmediaserver-ros6, plexmediaserver-ros6-binaries
 Breaks: plexmediaserver-ros6, plexmediaserver-ros6-binaries
 Replaces: plexmediaserver-ros6, plexmediaserver-ros6-binaries
 Provides: plexmediaserver-ros6, plexmediaserver-ros6-binaries
 Section: video
 Priority: extra
 Homepage: https://plex.tv
 Description: Plex organizes all of your personal media so you can easily access and enjoy it.
fv-dpkginstall.awk: error 0
Successfully installed dependencies for /tmp/plexmediaserver-ros6-binaries_1.4.4.3495-edef59192_amd64.deb
(Reading database ... 25780 files and directories currently installed.)
Preparing to unpack .../plexmediaserver-ros6-binaries_1.4.4.3495-edef59192_amd64.deb ...
Removed /etc/systemd/system/multi-user.target.wants/fvapp-plexmediaserver.service.
Unpacking plexmediaserver-ros6-binaries (1.4.4.3495-edef59192) over (1.4.3.3433-03e4cfa35) ...
Setting up plexmediaserver-ros6-binaries (1.4.4.3495-edef59192) ...
Adding 'diversion of /apps/plexmediaserver/plexmediaserver_environment to /apps/plexmediaserver/plexmediaserver_environment.orig by plexmediaserver-ros6-binaries'
Ignoring request to rename file '/apps/plexmediaserver/plexmediaserver_environment' owned by diverting package 'plexmediaserver-ros6-binaries'
dpkg-divert: error: unable to create new file '/var/lib/dpkg/diversions-new': No space left on device
dpkg: error processing package plexmediaserver-ros6-binaries (--install):
 subprocess installed post-installation script returned error exit status 2
dpkg: error: unable to create new file '/var/lib/dpkg/status-new': No space left on device
spooler returns spool_status=2 outbuf=(null) errbuf=(null) is_localapp=1 name=plexmediaserver-ros6-binaries_1.4.4.3495-edef59192_amd64.deb pkgname=plexmediaserver-ros6-binaries


At the time my ReadyNAS system was having boot problems. This was resolved by mdgm on 2017-05-29

    "In addition to running into the full root issue you root volume actually was very full. I moved your MySQL databases to the data volume and created a symlink. Your system should be fine now."

Problem #1

    "spooler returns spool_status=2 outbuf=(null) errbuf=(null) is_localapp=1 name=plexmediaserver-ros6-binaries_1.4.4.3495-edef59192_amd64.deb pkgname=plexmediaserver-ros6-binaries"
    
This was the last enty in the install_debpkg.log There were no entries of my later attempts to install a new version of PLEX or install/uninstall ReadyNAS apps.

The next problem was generated when I ran 'dpkg --configure -a'

.......

root@Eventide2:~# dpkg --configure -a
Processing triggers for libc-bin (2.19-18+deb8u9.netgear1) ...
Setting up rsyslog (8.4.2-1+deb8u2) ...

Configuration file '/etc/init.d/rsyslog'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** rsyslog (Y/I/N/O/D/Z) [default=N] ? D
--- /etc/init.d/rsyslog 2017-07-03 10:29:00.664107378 +1000
+++ /etc/init.d/rsyslog.dpkg-new        2015-12-14 23:34:27.000000000 +1100
@@ -22,14 +22,13 @@
 NAME=rsyslog

 RSYSLOGD=rsyslogd
-RSYSLOGD_BIN=/usr/sbin/rsyslogd
-RSYSLOGD_OPTIONS="-c5"
-RSYSLOGD_PIDFILE=/var/run/rsyslogd.pid
+DAEMON=/usr/sbin/rsyslogd
+PIDFILE=/var/run/rsyslogd.pid

 SCRIPTNAME=/etc/init.d/$NAME

 # Exit if the package is not installed
-[ -x "$RSYSLOGD_BIN" ] || exit 0
+[ -x "$DAEMON" ] || exit 0

 # Read configuration variable file if it is present
 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
@@ -39,22 +38,15 @@

 do_start()
 {
-       DAEMON="$RSYSLOGD_BIN"
-       DAEMON_ARGS="$RSYSLOGD_OPTIONS"
-       PIDFILE="$RSYSLOGD_PIDFILE"
-
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   other if daemon could not be started or a failure occured
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
+       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $RSYSLOGD_OPTIONS
 }

 do_stop()
 {
-       DAEMON="$RSYSLOGD_BIN"
-       PIDFILE="$RSYSLOGD_PIDFILE"
-
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
@@ -66,9 +58,6 @@
 # Tell rsyslogd to close all open files
 #
 do_rotate() {
-       DAEMON="$RSYSLOGD_BIN"
-       PIDFILE="$RSYSLOGD_PIDFILE"
-
        start-stop-daemon --stop --signal HUP --quiet --pidfile $PIDFILE --exec $DAEMON
 }

@@ -88,13 +77,12 @@
 sendsigs_omit() {
        OMITDIR=/run/sendsigs.omit.d
        mkdir -p $OMITDIR
-       ln -sf $RSYSLOGD_PIDFILE $OMITDIR/rsyslog
+       ln -sf $PIDFILE $OMITDIR/rsyslog
 }

 case "$1" in
   start)
        log_daemon_msg "Starting $DESC" "$RSYSLOGD"
-       do_stop
        create_xconsole
        do_start
        case "$?" in
@@ -104,6 +92,7 @@
                   log_end_msg 0 ;;
                *) log_end_msg 1 ;;
        esac
+
        ;;
   stop)
        log_daemon_msg "Stopping $DESC" "$RSYSLOGD"
@@ -126,7 +115,7 @@
        $0 start
        ;;
   status)
-       status_of_proc -p $RSYSLOGD_PIDFILE $RSYSLOGD_BIN $RSYSLOGD && exit 0 || exit $?
+       status_of_proc -p $PIDFILE $DAEMON $RSYSLOGD && exit 0 || exit $?
        ;;
   *)
        echo "Usage: $SCRIPTNAME {start|stop|rotate|restart|force-reload|status}" >&2

Configuration file '/etc/init.d/rsyslog'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** rsyslog (Y/I/N/O/D/Z) [default=N] ? Y
Installing new version of config file /etc/init.d/rsyslog ...
insserv: can not symlink(../init.d/forked-daapd, ../rc2.d/S05forked-daapd): File exists
insserv: can not symlink(../init.d/avahi-daemon, ../rc2.d/S04avahi-daemon): File exists
insserv: can not symlink(../init.d/dbus, ../rc2.d/S03dbus): File exists
insserv: can not symlink(../init.d/apache2, ../rc2.d/S02apache2): File exists
insserv: can not symlink(../init.d/lsyncd, ../rc2.d/S01lsyncd): File exists
insserv: can not symlink(../init.d/connman, ../rc2.d/S04connman): File exists
insserv: can not symlink(../init.d/rsync, ../rc2.d/S03rsync): File exists
insserv: can not symlink(../init.d/cron, ../rc2.d/S03cron): File exists
insserv: can not symlink(../init.d/forked-daapd, ../rc3.d/S05forked-daapd): File exists
insserv: can not symlink(../init.d/avahi-daemon, ../rc3.d/S04avahi-daemon): File exists
insserv: can not symlink(../init.d/dbus, ../rc3.d/S03dbus): File exists
insserv: can not symlink(../init.d/apache2, ../rc3.d/S02apache2): File exists
insserv: can not symlink(../init.d/lsyncd, ../rc3.d/S01lsyncd): File exists
insserv: can not symlink(../init.d/connman, ../rc3.d/S04connman): File exists
insserv: can not symlink(../init.d/rsync, ../rc3.d/S03rsync): File exists
insserv: can not symlink(../init.d/cron, ../rc3.d/S03cron): File exists
insserv: can not symlink(../init.d/forked-daapd, ../rc4.d/S05forked-daapd): File exists
insserv: can not symlink(../init.d/avahi-daemon, ../rc4.d/S04avahi-daemon): File exists
insserv: can not symlink(../init.d/dbus, ../rc4.d/S03dbus): File exists
insserv: can not symlink(../init.d/apache2, ../rc4.d/S02apache2): File exists
insserv: can not symlink(../init.d/lsyncd, ../rc4.d/S01lsyncd): File exists
insserv: can not symlink(../init.d/connman, ../rc4.d/S04connman): File exists
insserv: can not symlink(../init.d/rsync, ../rc4.d/S03rsync): File exists
insserv: can not symlink(../init.d/cron, ../rc4.d/S03cron): File exists
insserv: can not symlink(../init.d/forked-daapd, ../rc5.d/S05forked-daapd): File exists
insserv: can not symlink(../init.d/avahi-daemon, ../rc5.d/S04avahi-daemon): File exists
insserv: can not symlink(../init.d/dbus, ../rc5.d/S03dbus): File exists
insserv: can not symlink(../init.d/apache2, ../rc5.d/S02apache2): File exists
insserv: can not symlink(../init.d/lsyncd, ../rc5.d/S01lsyncd): File exists
insserv: can not symlink(../init.d/connman, ../rc5.d/S04connman): File exists
insserv: can not symlink(../init.d/rsync, ../rc5.d/S03rsync): File exists
insserv: can not symlink(../init.d/cron, ../rc5.d/S03cron): File exists
Job for rsyslog.service failed because the control process exited with error code.
See "systemctl status rsyslog.service" and "journalctl -xe" for details.
invoke-rc.d: initscript rsyslog, action "restart" failed.
dpkg: error processing package rsyslog (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up plexmediaserver-ros6-binaries (1.4.4.3495-edef59192) ...
^Cdpkg: error processing package plexmediaserver-ros6-binaries (--configure):
 subprocess installed post-installation script was interrupted
dpkg: dependency problems prevent configuration of rsyslog-gnutls:
 rsyslog-gnutls depends on rsyslog (= 8.4.2-1+deb8u2); however:
  Package rsyslog is not configured yet.

dpkg: error processing package rsyslog-gnutls (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of rsyslog-mysql:
 rsyslog-mysql depends on rsyslog (= 8.4.2-1+deb8u2); however:
  Package rsyslog is not configured yet.

dpkg: error processing package rsyslog-mysql (--configure):
 dependency problems - leaving unconfigured
Processing triggers for systemd (230-7~bpo8+2.netgear2) ...
Errors were encountered while processing:
 rsyslog
 plexmediaserver-ros6-binaries
 rsyslog-gnutls
 rsyslog-mysql
 
 
 ..........
 
 By answering to Y or I  : install the package maintainer's version, I triggered a package state problem with rsyslog, rsyslog-gnutls
and rsyslog-mysql.

rsyslog is used by LogAnalyzer, so that stopped working on my system.


 END of Part 1







Model: RN31600|ReadyNAS 300 Series 6- Bay
Message 14 of 21
forseyr
Aspirant

Re: Unable to install or uninstall any apps

PART 2


rsyslog is used by LogAnalyzer, so that stopped working on my system.

root@Eventide2:~# dpkg -l
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                       Version                    Architecture               Description
+++-==========================================-==========================-==========================-==========================================================================================
ii  acl                                        2.2.52-2                   amd64                      Access control list utilities

...
iF  plexmediaserver-ros6-binaries              1.4.4.3495-edef59192       amd64                      Plex organizes all of your personal media so you can easily access and enjoy it.
...
iF  rsyslog                                    8.4.2-1+deb8u2             amd64                      reliable system and kernel logging daemon
ii  rsyslog-app                                1.1.0                      all                        reliable system and kernel logging daemon
iU  rsyslog-gnutls                             8.4.2-1+deb8u2             amd64                      TLS protocol support for rsyslog
iU  rsyslog-mysql                              8.4.2-1+deb8u2             amd64                      MySQL output plugin for rsyslog


Package plexmediaserver-ros6-binaries was in the iF state from the install that failed due to lack of disk space.

 Next step was to delete PLEX
 
 root@Eventide2:~# dpkg -r plexmediaserver-ros6-binaries
(Reading database ... 23272 files and directories currently installed.)
Removing plexmediaserver-ros6-binaries (1.4.4.3495-edef59192) ...
Processing triggers for libc-bin (2.19-18+deb8u9.netgear1) ...

root@Eventide2:~# dpkg -l | grep 'plexmediaserver-ros6-binaries'
rc  plexmediaserver-ros6-binaries  1.4.4.3495-edef59192          amd64        Plex organizes all of your personal media so you can easily access and enjoy it.
root@Eventide2:~# dpkg -P plexmediaserver-ros6-binaries
(Reading database ... 20521 files and directories currently installed.)
Removing plexmediaserver-ros6-binaries (1.4.4.3495-edef59192) ...
Purging configuration files for plexmediaserver-ros6-binaries (1.4.4.3495-edef59192) ...
dpkg: warning: while removing plexmediaserver-ros6-binaries, directory '/apps/plexmediaserver' not empty so not removed
root@Eventide2:~# dpkg -l | grep 'plexmediaserver-ros6-binaries'
root@Eventide2:~# dir /apps/plexmediaserver
config.xml.orig  MediaLibrary  start.sh  temp

After the 'dpkg -P plexmediaserver-ros6-binaries' command, the Debian package manager state was:

ii  rsyslog                                    8.4.2-1+deb8u2             amd64                      reliable system and kernel logging daemon
ii  rsyslog-gnutls                             8.4.2-1+deb8u2             amd64                      TLS protocol support for rsyslog
iF  rsyslog-mysql                              8.4.2-1+deb8u2             amd64                      MySQL output plugin for rsyslog

Next, run 'apt-get -f install'

root@Eventide2:~# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 48 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up rsyslog-mysql (8.4.2-1+deb8u2) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
dbconfig-common: writing config to /etc/dbconfig-common/rsyslog-mysql.conf
dpkg: error processing package rsyslog-mysql (--configure):
 subprocess installed post-installation script returned error exit status 10
Errors were encountered while processing:
 rsyslog-mysql
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@Eventide2:~# dpkg -l
.....
ii  rsyslog                                    8.4.2-1+deb8u2             amd64                      reliable system and kernel logging daemon
ii  rsyslog-gnutls                             8.4.2-1+deb8u2             amd64                      TLS protocol support for rsyslog
iF  rsyslog-mysql                              8.4.2-1+deb8u2             amd64                      MySQL output plugin for rsyslog
...

The problems with rsyslog started with the change to Configuration file '/etc/init.d/rsyslog'.

I found the original in /etc/init.d/rsyslog.dpkg-old. The existing rsyslog was renamed and then replaced by a renamed copy of rsyslog.dpkg-old

However, the problems with rsyslog-mysql continue.

Running the command

root@Eventide2:~# cat /var/log/apt/term.log
...
Log started: 2017-07-17  14:29:02
Setting up rsyslog-mysql (8.4.2-1+deb8u2) ...
dbconfig-common: writing config to /etc/dbconfig-common/rsyslog-mysql.conf
dpkg: error processing package rsyslog-mysql (--configure):
 subprocess installed post-installation script returned error exit status 10
Errors were encountered while processing:
 rsyslog-mysql
Log ended: 2017-07-17  14:29:05
......

So the current problem is in the running of the rsyslog-mysql post-installation script ( Similar problems were encounted in deleting rsyslog-mysql)

I have found the same problems with rsyslog-mysql on the web.


 

Model: RN31661D|ReadyNAS 316 6-Bay
Message 15 of 21
Marty_M
NETGEAR Employee Retired

Re: Unable to install or uninstall any apps

@JediVision,

 

For this results were the test done before or after factory defaulting the NAS? Kindly provide copy of the complete logs of the NAS upload it file sharing website like wikisend and then provide the download link.

 
Regards,
Marty_M 
NETGEAR Community Team

Message 16 of 21
StephenB
Guru

Re: Unable to install or uninstall any apps

Send the log link either with a PM or email ( https://kb.netgear.com/21543/How-do-I-send-all-logs-to-ReadyNAS-Community-moderators )

 

It's best not to publicly post your logs.

Message 17 of 21
forseyr
Aspirant

Re: Unable to install or uninstall any apps

I followed the instruction on how to upload ReadyNAS logs

 

However, all I get back is a undeliverable message from postmaster@ntr.onmicrosoft.com

 

 

Diagnostic information for administrators:

Generating server: BN3PR0601MB1313.namprd06.prod.outlook.com


Remote Server returned '554 5.6.0 Invalid message content identified by Antimalware Agent'

 

I get the same result from my other mail account.

 

 

 

 

Message 18 of 21
StephenB
Guru

Re: Unable to install or uninstall any apps

Perhaps try using wikisend or store the logs in google drive, and email a link to the logs?

Message 19 of 21
forseyr
Aspirant

Re: Unable to install or uninstall any apps

After searching  the forums for solutions to the problems in the Debian package management system, I decided to cut my losses and perform a factory reset. Attempts to update my backups to the USB 3.0 external drive caused the NAS to lockup so I had to resort to copying the files across the network to my desktop. This took a lot of time, even on a 1 Gb/s LAN. Restoring the files took even longer, as for every "write" the RAID 5 system has to perform 2 reads and 2 writes.

I was using Robocopy and noticed that the transfers would pause for several seconds. Haven't had time to look into this with Microsoft Message Analyzer.

 

When I rebuilt my system, ensured that I disabled Snapshots on all of the new shares. If you don't do this, eventually they are retained until they consume up to 95% of the disk capacity.

 

The ReadyNAS is now OK installing packages. I only use Log Analyzer, PLEX  and VPN Server.

 

Model: RN31661D|ReadyNAS 316 6-Bay
Message 20 of 21
StephenB
Guru

Re: Unable to install or uninstall any apps


@forseyr wrote:

 

When I rebuilt my system, ensured that I disabled Snapshots on all of the new shares. If you don't do this, eventually they are retained until they consume up to 95% of the disk capacity.

 

 


That depends on your snapshot settings.  If you use custom snapshots you have control over retention (either by date or by number of snapshots).

 

While some share content isn't well-suited to snapshots (for instance torrent download shares), it is a good feature and I keep it enabled.

Message 21 of 21
Top Contributors
Discussion stats
  • 20 replies
  • 6349 views
  • 1 kudo
  • 7 in conversation
Announcements